LINUX.ORG.RU

Как справиться с неудовлетворёнными зависимостями при установки java


0

0

Здравствуйте, товарищи! Хочу поставить java 6 для Гамблера. Скачиваю файл jre-6u12-linux-i586.rpm и произвожу настройку по инструкции. Только, в конце появляется текст следующего содержания:

ошибка: Неудовлетворенные зависимости: /bin/basename нужен для jre-1.6.0_12-fcs.i586 /bin/cat нужен для jre-1.6.0_12-fcs.i586 /bin/cp нужен для jre-1.6.0_12-fcs.i586 /bin/gawk нужен для jre-1.6.0_12-fcs.i586 /bin/grep нужен для jre-1.6.0_12-fcs.i586 /bin/ln нужен для jre-1.6.0_12-fcs.i586 /bin/ls нужен для jre-1.6.0_12-fcs.i586 /bin/mkdir нужен для jre-1.6.0_12-fcs.i586 /bin/mv нужен для jre-1.6.0_12-fcs.i586 /bin/pwd нужен для jre-1.6.0_12-fcs.i586 /bin/rm нужен для jre-1.6.0_12-fcs.i586 /bin/sed нужен для jre-1.6.0_12-fcs.i586 /bin/sort нужен для jre-1.6.0_12-fcs.i586 /bin/touch нужен для jre-1.6.0_12-fcs.i586 /usr/bin/cut нужен для jre-1.6.0_12-fcs.i586 /usr/bin/dirname нужен для jre-1.6.0_12-fcs.i586 /usr/bin/expr нужен для jre-1.6.0_12-fcs.i586 /usr/bin/find нужен для jre-1.6.0_12-fcs.i586 /usr/bin/tail нужен для jre-1.6.0_12-fcs.i586 /usr/bin/tr нужен для jre-1.6.0_12-fcs.i586 /usr/bin/wc нужен для jre-1.6.0_12-fcs.i586 /bin/sh нужен для jre-1.6.0_12-fcs.i586

Мои попытки установить все эти программы успехом не увенчались. Хотя, по-моему, всё делал правильно. Я отдавал команды следующего содержания: root@necessary:/usr/local# sudo apt-get install basename Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово E: Не удалось найти пакет basename

Или

alexander@necessary:~$ sudo rm -rf/basename [sudo] password for alexander: rm: invalid option -- / Попробуйте `rm --help' для получения более подробного описания. alexander@necessary:~$ rm --help' > sudo rm -rf/basename > /basename > basename

Скажете пожалуйста, в чём заключается ошибка при установки удовлетворяющую зависимость basename для java?

С уважением.

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Ставить надо из репозитория своего дистрибутива. Как я понял, у вас что-то дебианоподобное. Сделайте aptitude search java6 и поставьте нужные пакеты командой aptitude install

Из rpm же в дебиане и производных ставить софт можно, но это изврат.

Zenom ★★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Да, бес толку, уже пробовал.

root@necessary:/usr/local# sudo apt-get install coreutils Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово Уже установлена самая новая версия coreutils. обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 37 пакетов не обновлено.

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Всё равно, по нулям.

v java6-runtime - v java6-runtime-headless - v java6-sdk - i sun-java6-bin - Sun Java(TM) Runtime Environment (JRE) 6 ( p sun-java6-demo - Sun Java(TM) Development Kit (JDK) 6 demos p sun-java6-doc - Sun JDK(TM) Documention -- integration ins p sun-java6-fonts - Lucida TrueType fonts (from the Sun JRE) p sun-java6-javadb - Java(TM) DB, Sun Microsystems' distributio i sun-java6-jdk - Sun Java(TM) Development Kit (JDK) 6 i A sun-java6-jre - Sun Java(TM) Runtime Environment (JRE) 6 ( i sun-java6-plugin - The Java(TM) Plug-in, Java SE 6 p sun-java6-source - Sun Java(TM) Development Kit (JDK) 6 sourc alexander@necessary:~$ sudo aptitude install sun-java6-jdk [sudo] password for alexander: Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово Чтение информации о расширенных состояниях Инициализация состояний пакетов... Готово Построение базы данных тегов... Готово Следующие пакеты будут автоматически удержаны: firefox xulrunner-1.9 Следующие пакеты оставлены не обновлёнными: akregator firefox-3.0 hal-info initscripts kaddressbook karm kdelibs-data kdelibs4c2a kdepim-kio-plugins kdepim-kresources kdepim-wizards kmail kmailcvt knotes kontact korganizer libcurl3 libcurl3-gnutls libkcal2b libkdepim1a libkleopatra1 libkmime2 libkpimexchange1 libkpimidentities1 libksieve0 libktnef1 libmimelib1c2a libpng12-0 libpq5 linux-ubuntu-modules-2.6.24-23-generic networkstatus sudo sysv-rc sysvutils tzdata 0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 37 пакетов не обновлено. Необходимо получить 0Б архивов. После распаковки 0Б будет занято. Запись информации расширенных состояний... Готово Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово Чтение информации о расширенных состояниях Инициализация состояний пакетов... Готово Построение базы данных тегов... Готово

Мне нужна Java совместимая с JRE SE 1.5 или старше. То-есть, если я правильно понял, мне нужно установить всё тот-же файл jre-6u12-linux-i586-rpm.bin. Буду очень Вам признателен товарищи, если поможете найти правильный ответ!

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

По выхлопу aptitude похоже, что она у тебя уже поставлена. А вообще постить вывод команд надо с нормальным форматированием, а не как попало.

Begemoth ★★★★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

>Как я понял, у вас что-то дебианоподобное.

Или Альт, в котором используется apt/rpm. Если последнее, то sudo apt-get install java-chto-to-tam-1.6.0.rpm должно подействовать.

Правда, в отсутствие в системе того же basename верится слабо... Что выдаёт ls -l на какой-нибудь из якобы несуществующих файлов?

А rpm -V coreutils ?

lodin ★★★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

> Как справиться с неудовлетворёнными зависимостями

Удовлетворить таки эти ненасытные зависимости :)

Ваш К.О.

AndreyKl ★★★★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

> С уважением.

Александр, кроме шуток. Такое форматирование - это нифига не уважение.

По теме - тупо проверьте существуют ли файлы которые просит установщик (/bin/cat /bin/basename .. и так далее).

Если какого то из них нет, то поищите его в /usr/bin , если найдёте - создайте символическую ссылку.

Если не найдёте - пишите сюда. Только отформатируйте нормально своё сообщение, а то пока прочитал, все глаза сломал.

AndreyKl ★★★★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Если непременно хочется с сана яву поставить, то не надо для убунты rpm качать. Помимо *.rpm.bin на сане лежит еще просто *.bin - это tar.gz самораспаковывающийся. Он установится без всяких вопросов.

svr69 ★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

В корневых папках /bin и usr/bin нашёл нужные файлы и дал символические ссылки на /usr/locaj, где находиться файл *jre-6u1~rpm.bin . Мне не удалось найти следующих файлов в /bin и usr/bin: basename, gawk, grep и sort, а также не знаю что означает красная символическая ссылка на файл - !sh. Может, её нужно удалить из директории /usr/local?

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

в debian non-free или ubuntu multiverse есть сановская жаба: http://packages.ubuntu.com/intrepid/sun-java6-jre

alex_custov ★★★★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Не надо в убунте ставить софт из rpm. Есть джава в .deb, есть в .tar.gz - выбирайте по вкусу. Когда rpm при установке сообщает, что ему нужен /bin/sh, например, то это не означает, что ему нужен непременно файл /bin/sh. Это означает, что в базе данных rpm нет информации об установленном пакете, который обеспечивает наличие этого файла. Поэтому никакие симлинки (тем более в /usr/local) не помогут.

svr69 ★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

> Мне не удалось найти следующих файлов в /bin и usr/bin: basename, gawk, grep и sort

Уууу, как всё страшно. Тогда попробуй вылечить это с помощью aptitude reinstall coreutils.

gaa ★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

> Уууу, как всё страшно. Тогда попробуй вылечить это с помощью aptitude reinstall coreutils. Переустановился пакет coreutils. И всё равно, при входе в Гамблер появляется табличка: "Устаревшая версия Java (1.5) С текущей версией java недоступны все возможности игровой программы Gambler. Настоятельно рекомендуем установить новую java (1.6) с сайта (не имею права писать адрес сайта).

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Сейчас, у меня установлена

alexander@necessary:~$ java -version java version "1.5.0_16"

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

>ты сановскую жабу ставил?

Можно спросить, а что это такое и как она называется по-англицке?

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Да, эту java'у установил давно, но она мне не помогает.

alexander@necessary:~$ java -version java version "1.5.0_16" Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_16-b02) Java HotSpot(TM) Client VM (build 1.5.0_16-b02, mixed mode, sharing)

И также пишет Гамблер: "Устаревшая версия Java (1.5) С текущей версией java недоступны все возможности игровой программы Gambler. Настоятельно рекомендуем установить новую java (1.6) с сайта (не имею права писать адрес сайта).

На первый взгляд кажется, тут нет ничего сложного, а как начинаешь ставить Java'у, так сразу начинается тянуться длинный шлейф трудностей. В XP я не сталкивался с такими трудностями.

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

alexander@necessary:~$ sudo aptitude purge sun-java5-bin sun-java5-jre Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово Чтение информации о расширенных состояниях Инициализация состояний пакетов... Готово Запись информации расширенных состояний... Готово Построение базы данных тегов... Готово Следующие пакеты не используются и будут УДАЛЕНЫ: firefox Следующие пакеты будут автоматически удержаны: libavcodec1d libavformat1d xulrunner-1.9 Следующие пакеты оставлены не обновлёнными: akregator amarok amarok-xine dash firefox-3.0 hal-info initscripts kaddressbook karm kdelibs-data kdelibs4c2a kdepim-kio-plugins kdepim-kresources kdepim-wizards kmail kmailcvt knotes kontact korganizer libavutil1d libcurl3 libcurl3-gnutls libglib2.0-0 libkcal2b libkdepim1a libkleopatra1 libkmime2 libkpimexchange1 libkpimidentities1 libksieve0 libktnef1 libmimelib1c2a libnss3-1d libpng12-0 libpostproc1d libpq5 linux-ubuntu-modules-2.6.24-23-generic networkstatus sudo sysv-rc sysvutils tzdata Следующие пакеты будут УДАЛЕНЫ: sun-java5-bin{p} sun-java5-jre{p} 0 пакетов обновлено, 0 установлено новых, 3 пакетов отмечено для удаления, и 45 пакетов не обновлено. Необходимо получить 0Б архивов. После распаковки освободится 83,6MБ. Хотите продолжить? [Y/n/?] y Запись информации расширенных состояний... Готово (Чтение базы данных... на данный момент установлено 101402 файлов и каталогов.) Удаляется пакет firefox... (Чтение базы данных... на данный момент установлено 101399 файлов и каталогов.) Удаляется пакет sun-java5-bin... Удаляется альтернатива выбранная вручную -- переключение в автоматический режим Удаляются файлы конфигурации пакета sun-java5-bin... Удаляется пакет sun-java5-jre... Удаляются файлы конфигурации пакета sun-java5-jre... Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово Чтение информации о расширенных состояниях Инициализация состояний пакетов... Готово Запись информации расширенных состояний... Готово Построение базы данных тегов... Готово alexander@necessary:~$ java -version java version "1.6.0_07"

После этого, у меня перестал открываться Гамблер, не смотря на то что появилась java version "1.6.0_07"

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Можете запустить этот Гамблер из консоли, и, если какой-то выхлоп будет, показать его? (только бога ради, выберите другой режим - читать невозможно)

svr69 ★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

> Можете запустить этот Гамблер из консоли...

Он из Консоле запущен.

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Хорошо. Значит, в консоли вводите:

java -jar как-там-он-называется.jar

и, если быстро-быстро строчки по экрану побежали, а ничего не запустилось, пишете сюда эти строчки

svr69 ★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

> Хорошо. Значит, в консоли вводите: java -jar как-там-он-называется.jar

Я написал сюда после того, как испробовал установку jar в Консоле.

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

> это означает, что из консоли запускается?

Запускается. Но, не знаю как установить в Kubuntu java-версию "1.6.0_12"?

На сегодняшней день я смог поднять java'у до уровня "1.6.0_07", после чего java перестала полностью работать.

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Скачать с http://java.sun.com? (Только не в .rpm - jdk-6u12-linux-i586.bin или jre-6u12-linux-i586.bin в зависимости от того, нужен ли компилятор и прочие штуки для разработки). И что значит "перестала работать"? java -version уже означает, что работает.

svr69 ★★ ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

> И что значит "перестала работать"?

После "печных часов" перестало всплывать окно Гамблера.

alexandr-makukhin ()

Re: Как справиться с неудовлетворёнными зависимостями при установки java

Решение.

alexander@necessary:~$ whereis java java: /usr/bin/java /usr/share/java /usr/share/man/man1/java.1.gz alexander@necessary:~$ cd alexander@necessary:~$ cd ~/Рабочий стол/gambler_release_java.jar ~/

> Здесь, я допустил ошибку, и вместо cp(копирование), сделал cd(перемещение), что меня привело к фразе: No such file or directory "bash: cd: /home/alexander/Рабочий: No such file or directory

alexander@necessary:~$ cp ~/Рабочий стол/gambler_release_java.jar ~/ cp: невозможно выполнить stat для `/home/alexander/Рабочий': No such file or directory cp: невозможно выполнить stat для `стол/gambler_release_java.jar': No such file or directory

> Чтобы такой ошибки не произошло, нужно сначала написать, вот так: "cp /home/alexander/Рабо" и нажать кнопку "Tab", чтобы экранировать, а далее дописать нужную команду (в моём случае, это команда: стол/gambler_release_java.jar ~/

alexander@necessary:~$ cp /home/alexander/Рабочий\ стол/gambler_release_java.jar ~/

> gambler_release_java.jar - это инстолятор Гамблера, который я положил в корневую папку "Рабочего стола"

alexander@necessary:~$ cd ~"

> java -jar gambler_release_java.jar - это команда запуска инсталлятора Гамблера

alexander@necessary:~$ java -jar gambler_release_java.jar temp: null

"После слова "null" появляется окно "Лицензионного соглашение", в котором некоторые буквы искажены, но это не влеяет на саму игру в Гамблере.

> Помощь, в наладке Гамблера и в написание этого поста, оказал picaro.

alexandr-makukhin ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.